Bug 81020 - [radeonsi][regresssion] Wireframe of background rendered through objects in Half-Life 2: Episode 2 with MSAA enabled
Summary: [radeonsi][regresssion] Wireframe of background rendered through objects in H...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-07 22:50 UTC by Daniel Scharrer
Modified: 2014-07-08 18:48 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Wireframe rendered above foreground geometry (8xMSAA) (808.34 KB, image/jpeg)
2014-07-07 22:50 UTC, Daniel Scharrer
Details
How the scene is supposed to look (775.04 KB, image/jpeg)
2014-07-07 22:51 UTC, Daniel Scharrer
Details
Wireframe rendered above the user interface (517.64 KB, image/jpeg)
2014-07-07 22:51 UTC, Daniel Scharrer
Details
White wireframe with 4xMSAA (777.18 KB, image/jpeg)
2014-07-07 22:52 UTC, Daniel Scharrer
Details
possible fix (870 bytes, patch)
2014-07-08 00:10 UTC, Marek Olšák
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Scharrer 2014-07-07 22:50:45 UTC
Created attachment 102395 [details]
Wireframe rendered above foreground geometry (8xMSAA)

Black pixels along the wireframe of background geometry is rendered in front of foreground geometry (even UI). The wireframe isn't visible all the time but instead flickers as if there is some kind of race condition.

This is reproducible with all MSAA levels that can be set in the game (2x, 4x, 6x and 8x) - however with 2x and 4xMSAA, the wireframe is white instead of black. Wit MSAA disabled everything is rendered correctly.


Happens as of commit f6db414f3ca2d692f262e3f5a38d4fcedbdf4f4f, does not happen with mesa 10.2.2.

Bisecting blames commit 501fee2511a0a84303319a5e3deacf4959da5b08
Author: Marek Olšák <marek.olsak@amd.com>
Date:   Tue May 6 13:48:11 2014 +0200

    radeonsi: implement set_min_samples
    
    This is how per-sample shading is enabled.


GPU: Radeon HD 7950 (OpenGL renderer string: Gallium 0.4 on AMD TAHITI)
LLVM compiled from svn today (r202464)
GCC: 4.8.3
Distro: Gentoo
Comment 1 Daniel Scharrer 2014-07-07 22:51:14 UTC
Created attachment 102396 [details]
How the scene is supposed to look
Comment 2 Daniel Scharrer 2014-07-07 22:51:44 UTC
Created attachment 102397 [details]
Wireframe rendered above the user interface
Comment 3 Daniel Scharrer 2014-07-07 22:52:11 UTC
Created attachment 102398 [details]
White wireframe with 4xMSAA
Comment 4 Marek Olšák 2014-07-08 00:10:43 UTC
Created attachment 102399 [details] [review]
possible fix

Does the attached patch fix the issue?
Comment 5 Daniel Scharrer 2014-07-08 00:46:22 UTC
Yes, the attached patch fixes the issue for me.
Comment 6 Marek Olšák 2014-07-08 18:48:22 UTC
Fixed by be536efe20d7d0969e6d5286fc488fcc1c403b6. Closing.


bug/show.html.tmpl processed on Mar 30, 2017 at 08:55:22.
(provided by the Example extension).